#!/bin/sh

if [ ! -f ./common.gdb ]
then
	echo "File common.gdb does not exist"
	exit
fi

echo "enter Apache group id or name ( default : nogroup ) :"
read apagid
if [ ! "$apagid" ]
then
        apagid=nogroup
fi

echo "enter PHP3 sample directry ( default : /usr/local/www/htdocs/ibsamp ) :"
read php3dir
if [ ! "$php3dir" ]
then
        php3dir=/usr/local/www/htdocs/ibsamp
fi

echo "enter Database-file directry ( default : /usr/local/www/ibase ) :"
read ibasedir
if [ ! "$ibasedir" ]
then
        ibasedir=/usr/local/www/ibase
fi

if [ ! -d $php3dir ]
then
	mkdir $php3dir
fi

if [ ! -d $ibasedir ]
then
	mkdir $ibasedir
fi

if [ -f ./ibsmp.inc.org ]
then
	cp -fp ./ibsmp.inc.org ./ibsmp.inc
else
	cp -fp ./ibsmp.inc ./ibsmp.inc.org
fi

perl -i.old -p -e "s!/usr/local/www/ibase!$ibasedir!" ibsmp.inc

cp -fp ./*php3 ./*html ./*inc $php3dir

cp -fp ./common.gdb $ibasedir
chgrp $apagid $ibasedir/common.gdb
chmod 0660 $ibasedir/common.gdb

