#!/bin/sh
# data setup program v1.00
#                1999/07/13

echo "enter Apache user id or name ( default : nobody ) :"
read apauid
if [ ! "$apauid" ]
then
	apauid=nobody
fi

for file in create.sh createDB.isql createTgSp.isql insertAttr.isql
do
	if [ -f ./$file.org ]
	then
		cp ./$file.org ./$file
	else
		if [ ! -f ./$file ]
		then
			echo "File $file does not exist"
			exit
		fi
		cp ./$file ./$file.org
	fi
done

perl -i.old -p -e "s/PUBLIC/$apauid/" createDB.isql
perl -i.old -p -e "s/PUBLIC/$apauid/" createTgSp.isql

if [ -f ./common.gdb ]
then
	rm ./common.gdb
fi

./create.sh

echo Done.
